Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg
Interface Entry

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties, XmlSerializable

All Known Implementing Classes:
  SimpleEntry

public interface Entry
extends WsResourceCapability, XmlSerializable

Entry represents the WS-RF ServiceGroupEntry resource type. Such resources represent a relationship between a resource and the service group of which it is a member; the modification or destruction of these resources represents a change in the resource's membership in a service group. Changes in the service group members do not necessarily affect membership.
Muse represents all WS-SG entries at WS-RF implied resources. They are accessible through a unique endpoint and can be destroyed via WS-RL if the WS-RL capabilities are used. Adding this capability to a resource type gives it all of the required features of a WS-RF ServiceGroupEntry.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`org.w3c.dom.Element` | `getContent()`
`EndpointReference` | `getMemberEPR()`
`EndpointReference` | `getServiceGroupEPR()`
`void` | `setMemberEPR(EndpointReference memberEPR)`
`void` | `setServiceGroup(WsResource serviceGroup)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### getContent

    public org.w3c.dom.Element getContent()
                                   throws BaseFault

  Returns:
    The values of resource the properties (Element[]) that are found in the service group's MembershipContentRules and which are defined by the member service. The list may be empty if there were no membership rules. The values returned are not guaranteed to be current - they may include a snapshot of the values from when the entry was created. If you are unsure of the mutability of these values, you should ask the member resource directly.
  Throws:
    `BaseFault`

### getMemberEPR

    public EndpointReference getMemberEPR()
                                   throws BaseFault

  Returns:
    The EPR for the service group member this entry represents.
  Throws:
    `BaseFault`

### getServiceGroupEPR

    public EndpointReference getServiceGroupEPR()
                                         throws BaseFault

  Returns:
    The EPR for the service group to which this entry belongs.
  Throws:
    `BaseFault`

### setMemberEPR

    public void setMemberEPR(EndpointReference memberEPR)
                      throws BaseFault

  Throws:
    `BaseFault`

### setServiceGroup

    public void setServiceGroup(WsResource serviceGroup)
                         throws BaseFault

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD